<?php 
function ratio_movers_custom_css(){
	global $ratio;
	
	if(!is_admin()) :
	?>
  
	<?php 
	
		$ratio_menu_text_color						 = '';
		$ratio_menu_text_hover_acive_color						 = '';
		$ratio_sticky_menu_bg_color						 = '';
		$ratio_sticky_menu_text_color						 = '';
		$ratio_sticky_menu_text_hover_acive_color						 = '';
		$ratio_footer_bg_color						 = '';
		$ratio_footer_bottom_bg_color						 = '';
		$ratio_footer_text_color						 = '';
		$ratio_spinner_bg_color						 = '';
		$ratio_spinner_image						 = '';
		$ratio_theme_color						 = '';
		$ratio_css_editor						 = '';
		

		if ( isset( $ratio['ratio_menu_text_color'] ) ) {
			$ratio_menu_text_color = $ratio['ratio_menu_text_color'];
		}		
		if ( isset( $ratio['ratio_menu_text_hover_acive_color'] ) ) {
			$ratio_menu_text_hover_acive_color = $ratio['ratio_menu_text_hover_acive_color'];
		}			
		if ( isset( $ratio['ratio_sticky_menu_bg_color'] ) ) {
			$ratio_sticky_menu_bg_color = $ratio['ratio_sticky_menu_bg_color'];
		}		
		if ( isset( $ratio['ratio_sticky_menu_text_color'] ) ) {
			$ratio_sticky_menu_text_color = $ratio['ratio_sticky_menu_text_color'];
		}			
		if ( isset( $ratio['ratio_sticky_menu_text_hover_acive_color'] ) ) {
			$ratio_sticky_menu_text_hover_acive_color = $ratio['ratio_sticky_menu_text_hover_acive_color'];
		}	
	
		if ( isset( $ratio['ratio_footer_bg_color'] ) ) {
			$ratio_footer_bg_color = $ratio['ratio_footer_bg_color'];
		}			
		
		if ( isset( $ratio['ratio_footer_text_color'] ) ) {
			$ratio_footer_text_color = $ratio['ratio_footer_text_color'];
		}			
		
		if ( isset( $ratio['ratio_spinner_image'] ) ) {
			$ratio_spinner_image = $ratio['ratio_spinner_image']['url'];
		}			
		
		if ( isset( $ratio['ratio_spinner_bg_color'] ) ) {
			$ratio_spinner_bg_color = $ratio['ratio_spinner_bg_color'];
		}			
		
		if ( isset( $ratio['ratio_theme_color'] ) ) {
			$ratio_theme_color = $ratio['ratio_theme_color'];
		}	
		if ( isset( $ratio['ratio_css_editor'] ) ) {
			$ratio_css_editor = $ratio['ratio_css_editor'];
		}
	

	wp_enqueue_style( 'ratio-custom-css', get_template_directory_uri() . '/assets/css/custom-style.css' );
	
	//add custom css
	$ratio_custom_css = "

		.preloader {
			background: {$ratio_spinner_bg_color};
		}			
		
		
		.status {
			background-image: url($ratio_spinner_image);
			background-position: center;
			background-repeat: no-repeat;
		}			
		
		.menu-top li a {
			color: {$ratio_menu_text_color}!important;
		}		
		
		.menu-top li a:hover {
			color: {$ratio_menu_text_hover_acive_color}!important;
		}		
		
		.navbar-default.menu-shrink {
			background: {$ratio_sticky_menu_bg_color};
		}		
		.navbar-default.menu-shrink li a {
			color: {$ratio_sticky_menu_text_color}!important;
		}	
		.navbar-default.menu-shrink li a:hover{
			color: {$ratio_sticky_menu_text_hover_acive_color} !important;
		}		
		
		.footer{
			background: {$ratio_footer_bg_color};
		}		
		.footer p{
			color: {$ratio_footer_text_color};
		}		
		.section-title h2 span,
		.single_about:hover h4,
		.single_service i,
		.our_work_menu ul li:hover, .our_work_menu ul li.active,
		.sing_link_img a,
		.counter i,
		.home_blog_text span,
		a, a:hover,
		.section-top-title ol li a:hover		
		{
			color: {$ratio_theme_color};
		}
		
		.single_about:hover i,		
		.our_work_menu ul li:hover, .our_work_menu ul li.active,
		.btn-light-bg,
		.counter:hover i,
		.single_team .social_link a:hover,
		.signup_form input:focus,
		.form-control:focus,
		.pricing-btn button,
		.btn-contact-bg,
		.nav-links .nav-previous a, .nav-links .nav-next a
		
		{
			border-color: {$ratio_theme_color};
		}
		
		.single_about:hover i,
		.progress-bar > span,
		.single_feature i,
		.btn-light-bg,
		.counter:hover i,
		.single_team .social_link a:hover,
		.color-two,
		.pricing-btn button,
		.buy_now,
		.btn-contact-bg,
		.section-title div,
		.topcontrol,
		.nav-links .nav-previous a:hover, .nav-links .nav-next a:hover,
		.form-submit #submit:hover, .form-submit #submit:focus, button:hover{
			background: {$ratio_theme_color};
		}			

		
		{$ratio_css_editor};
	";
	
	//Add the above custom CSS via wp_add_inline_style
	wp_add_inline_style( 'ratio-custom-css', $ratio_custom_css ); //Pass the variable into the main style sheet ID
	
	
  endif;
}

add_action( 'wp_enqueue_scripts', 'ratio_movers_custom_css'  ) ;