<?php

function ratio_shop_archive_banner(){ 
global $ratio;
$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Shop' , 'ratio');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php esc_html_e('Shop' , 'ratio');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
	
<div class="clearfix"></div>	
		
<?php }

function ratio_blog_banner(){ 
global $ratio;
$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Blog' , 'ratio');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php esc_html_e('Blog' , 'ratio');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
	
<div class="clearfix"></div>	
		
<?php }


function ratio_archive_banner(){ 
global $ratio;
$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Archive' , 'ratio');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php the_archive_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	

<div class="clearfix"></div>	
		
<?php }

function ratio_search_banner(){ 
global $ratio;
$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Search' , 'ratio');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php printf( esc_html__( 'Search Results for: %s', 'ratio' ), '<span>' . get_search_query() . '</span>' ); ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
	
<div class="clearfix"></div>
		
<?php }

function ratio_404_banner(){ 
global $ratio;
$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('404' , 'ratio');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php esc_html_e('404' , 'ratio');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	

<div class="clearfix"></div>
	
<?php }

function ratio_single_banner(){ 
global $ratio;

$ratio_home_banner_img = $ratio['ratio_home_banner_img']['url'];	
$ratio_upload_banner_image = get_post_meta(get_the_ID(), '_ratio_upload_banner_image', true);
$ratio_default_banner_img = get_template_directory_uri() . '/assets/img/bg/home-bg.jpg';

?>

	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background: url(<?php if($ratio_upload_banner_image){ echo esc_url($ratio_upload_banner_image);}elseif($ratio_home_banner_img){ echo esc_url($ratio_home_banner_img);}else{ echo esc_url($ratio_default_banner_img);}?>)no-repeat;background-size:cover; background-position: center center;background-attachment:fixed">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php the_title();?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ratio');?></a></li>
						  <li class="active"><?php the_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	

<div class="clearfix"></div>	
		
<?php }

function ratio_header(){ 

	global $ratio;
	$ratio_preloader_opt =  $ratio['ratio_preloader_opt'];
	$ratio_homepage_opt =  $ratio['ratio_homepage_opt'];
	$ratio_default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
	
?>

	<?php if($ratio_preloader_opt == '1' && !$ratio_homepage_opt == '1') { ?>
		
		<!-- START PRELOADER -->
		<div class="preloader">
			<div class="status">
				<div class="status-mes"></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	
	<?php }elseif($ratio_preloader_opt == '1' && $ratio_homepage_opt == '1'){ ?>	

	<?php if(is_front_page()) {?>
		<!-- START PRELOADER -->
		<div class="preloader">
			<div class="status">
				<div class="status-mes"></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	<?php } } ?>
	

		
<!-- START NAVBAR -->
<div class="navbar navbar-default navbar-fixed-top menu-top">
	<div class="container">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only"><?php esc_html_e('Toggle navigation' , 'ratio');?></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
			<a href="<?php echo esc_url(home_url('/'));?>" class="navbar-brand">
				<?php if(get_custom_logo()){
					 the_custom_logo();
				}else { ?>
				  <img src="<?php echo esc_url($ratio_default_logo_img);?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
				<?php } ?>		
			</a>
		</div>
		<div class="navbar-collapse collapse">
			<nav id="navigation">
				<?php ratio_main_menu();?>
			</nav>
		</div> 
	</div><!--- END CONTAINER -->
</div> 
<!-- END NAVBAR -->	

<?php
	
}

function ratio_footer(){ 
	global $ratio;
	$ratio_default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
	$ratio_copywrite_text =  $ratio['ratio_copywrite_text'];
	$ratio_footer_fb_link = $ratio['ratio_footer_fb_link'];	
	$ratio_footer_tw_link = $ratio['ratio_footer_tw_link'];		
	$ratio_footer_linkedin_link = $ratio['ratio_footer_linkedin_link'];	
	$ratio_footer_youtube_link = $ratio['ratio_footer_youtube_link'];	
	$ratio_footer_skype_link = $ratio['ratio_footer_skype_link'];	
?>
<!-- START FOOTER -->
<footer class="footer section-padding">
	<div class="container">
		<div class="row">
			<div class="col-sm-12 text-center wow zoomIn">
				<div class="footer_content">
					<a href="<?php echo esc_url(home_url('/'));?>">
						<?php if(get_custom_logo()){
							 the_custom_logo();
						}else { ?>
						  <img src="<?php echo esc_url($ratio_default_logo_img);?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
						<?php } ?>		
					</a>
					
					<div class="footer_social">
						<ul>
							<?php if($ratio_footer_fb_link){ ?>
								<li><a class="f_facebook wow bounceInDown" href="<?php echo esc_url($ratio_footer_fb_link);?>"><i class="fa fa-facebook"></i></a></li>
							<?php } if($ratio_footer_tw_link){ ?>
								<li><a class="f_twitter wow bounceInDown" data-wow-delay=".1s" href="<?php echo esc_url($ratio_footer_tw_link);?>"><i class="fa fa-twitter"></i></a></li>
							<?php } if($ratio_footer_linkedin_link){ ?>
								<li><a class="f_linkedin wow bounceInDown" data-wow-delay=".3s" href="<?php echo esc_url($ratio_footer_linkedin_link);?>"><i class="fa fa-linkedin"></i></a></li>
							<?php } if($ratio_footer_youtube_link){ ?>
								<li><a class="f_youtube wow bounceInDown" data-wow-delay=".4s" href="<?php echo esc_url($ratio_footer_youtube_link);?>"><i class="fa fa-youtube"></i></a></li>
							<?php } if($ratio_footer_skype_link){ ?>
								<li><a class="f_skype wow bounceInDown" data-wow-delay=".5s" href="<?php echo esc_url($ratio_footer_skype_link);?>"><i class="fa fa-skype"></i></a></li>
							<?php } ?>
						</ul>
					</div>	
					<p>
					<?php 
					
					
					 if($ratio_copywrite_text){
						 echo ratio_wp_kses($ratio_copywrite_text);
					 }else{
						 echo esc_html__('Copyright @ 2024 Ratio all right Reserved.' , 'ratio');
					 }
							
					?>
					
					</p>
				</div>
										
			</div><!--- END COL -->
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->	
</footer>
<!-- END FOOTER -->			
<?php }