<?php
 
add_action('init', 'ratio_kc_active', 99 );
 
function ratio_kc_active() {
 
	if (function_exists('kc_add_map')) 
	{ 
	    kc_add_map(
	        array(

	            'shortcode_importer' => array(
	                'name' => esc_html__('Shortcode Importer', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
                        'name' => 'enter_shortcode',
                        'label' => esc_html__( 'Enter Shortcode', 'ratio' ),
                        'type' => 'textarea',
                        'admin_label' => true,
										),	    	                             


	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map	   	    

     kc_add_map(
	        array(

	            'feature_area' => array(
	                'name' => esc_html__('Feature', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_bef_title',
	                        'label' => esc_html__( 'Title Before Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Ratio',
						),	    	                   

						array(
	                        'name' => 'sec_aft_title',
	                        'label' => esc_html__( 'Title After Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Features',
						),							
						
						array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Post', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '4',
						),	                   

												

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map	  
    
		kc_add_map(
	        array(

	            'who_we_area' => array(
	                'name' => esc_html__('Who We Are Area', 'ratio'),
	                'icon' => 'sl-rocket',
					'nested'		=> true,
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Title Before Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Who we',
						),	    	                   

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Title After Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'are',
						),							
						
						array(
	                        'name' => 'sec_content',
	                        'label' => esc_html__( 'Content', 'ratio' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pulvinar lacus ut eros euismod, sit amet convallis lorem sagittis. In felis dolor, fringilla at mollis ac, blandit a magna. Pellentesque vehicula felis ex, id maximus.',
						),	 						
						
						array(
	                        'name' => 'sec_vid_url',
	                        'label' => esc_html__( 'Video Url', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'https://player.vimeo.com/video/183058098',
						),	                   

												

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map	 		
		
		kc_add_map(
	        array(

	            'who_we_area_item' => array(
	                'name' => esc_html__('Skill ( Child of Who We Are Area)', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'skill_text',
	                        'label' => esc_html__( 'Skill Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'design',
						),	    	                   

						array(
	                        'name' => 'skill_number',
	                        'label' => esc_html__( 'Percent', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '95',
						),																						
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		
		kc_add_map(
	        array(

	            'why_choice_us_area' => array(
	                'name' => esc_html__('Why Choice Us Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'section_title',
	                        'label' => esc_html__( 'Title', 'ratio' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Why <span>choose</span> us',
						),	    	                   

						array(
	                        'name' => 'section_image',
	                        'label' => esc_html__( 'Upload Section Image', 'ratio' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),	

	                    array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Post', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '4',
						),							
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map	  		
		
		kc_add_map(
	        array(

	            'service_area' => array(
	                'name' => esc_html__('Services Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'our',
						),	  	                  

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'service',
						),	    	                   


	                    array(
	                        'name' => 'sec_post_per_page',
	                        'label' => esc_html__( 'Number of Post', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '6',
						),							
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map	 		
		
		
		kc_add_map(
	        array(

	            'work_area' => array(
	                'name' => esc_html__('Portfolio Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Latest',
						),	  	                  

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'works',
						),	    	                   


	                    array(
	                        'name' => 'sec_btn_text',
	                        'label' => esc_html__( 'Button Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'See More Work',
						),		                   

						array(
	                        'name' => 'sec_btn_link',
	                        'label' => esc_html__( 'Button Link', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '#',
						),							
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'counter_area' => array(
	                'name' => esc_html__('Counter Area', 'ratio'),
	                'icon' => 'sl-rocket',
					'nested' => true,
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map		
		
		kc_add_map(
	        array(

	            'counter_item' => array(
	                'name' => esc_html__('Counter Item ( Child of Counter Area)', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
						array(
	                        'name' => 'counter_icon',
	                        'label' => esc_html__( 'Icon', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'fa fa-check',
						),								

						array(
	                        'name' => 'counter_number',
	                        'label' => esc_html__( 'Number', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '2500',
						),								

						array(
	                        'name' => 'counter_text',
	                        'label' => esc_html__( 'Counter Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Projects Finished',
						),				
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map	    
		
		kc_add_map(
	        array(

	            'team_area' => array(
	                'name' => esc_html__('Team Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Our',
						),	  	                  

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Experts',
						),	    	                   


	                    array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Posts', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '4',
						),		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		
		kc_add_map(
	        array(

	            'newsletter_area' => array(
	                'name' => esc_html__('Newsletter Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_bg_img',
	                        'label' => esc_html__( 'Upload Image', 'ratio' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),	  	                  

						array(
	                        'name' => 'sec_title',
	                        'label' => esc_html__( 'Section Title', 'ratio' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Subscribe to get the latest news, update and offer information. Don\'t worry, we won\'t send spam!',
						),	    	                   


	                    array(
	                        'name' => 'sec_shortcode_id',
	                        'label' => esc_html__( 'MailChimp For WP Shortcode ID', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
						),		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map
		
		
		kc_add_map(
	        array(

	            'pricing_area' => array(
	                'name' => esc_html__('Pricing Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'ratio',
						),	  	                  

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Pricing',
						),	    	                   


	                    array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Posts', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '3',
						),		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map				
		
		kc_add_map(
	        array(

	            'testimonials_area' => array(
	                'name' => esc_html__('Testimonials Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_bg_img',
	                        'label' => esc_html__( 'Upload Image', 'ratio' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),	  	                  

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'client_area' => array(
	                'name' => esc_html__('Client Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                                  

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map					
		
		kc_add_map(
	        array(

	            'blog_area' => array(
	                'name' => esc_html__('Blog Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Latest',
						),	  	                  

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'blog',
						),	    	                   


	                    array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Posts', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '3',
						),		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		
		kc_add_map(
	        array(

	            'buy_now_area' => array(
	                'name' => esc_html__('Buy Now Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_content',
	                        'label' => esc_html__( 'Content', 'ratio' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Are you ready for your next project?',
						),	  	                  

						array(
	                        'name' => 'sec_btn_text',
	                        'label' => esc_html__( 'Button Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Hire us',
						),	    	                   


	                    array(
	                        'name' => 'sec_btn_link',
	                        'label' => esc_html__( 'Button Link', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '#',
						),		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'contact_us_area' => array(
	                'name' => esc_html__('Contact Us', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'sec_bef_title',
	                        'label' => esc_html__( 'Before Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Get IN',
						),	
						
	                    array(
	                        'name' => 'sec_aft_title',
	                        'label' => esc_html__( 'After Title Text', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Touch',
						),	 	                  

						array(
	                        'name' => 'sec_contact_shortcode_id',
	                        'label' => esc_html__( 'Contact Form 7 Shortcode ID', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
						),	  	                  

		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'google_map' => array(
	                'name' => esc_html__('Google Map Area', 'ratio'),
	                'icon' => 'sl-rocket',
	                'category' => 'Ratio Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'map_api',
	                        'label' => esc_html__( 'API', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'AIzaSyDwIQh7LGryQdDDi-A603lR8NqiF3R_ycA',
						),	
						
	                    array(
	                        'name' => 'map_latitude',
	                        'label' => esc_html__( 'Latitude', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '40.7127837',
						),	 		                    
						
						array(
	                        'name' => 'map_longitude',
	                        'label' => esc_html__( 'Longitude', 'ratio' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '-74.00594130000002',
						),	 	                  

		                   
					
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
	    ); // End add map	
		
		
	} // End if

}  
 
